%define anolis_release 5
Name:           rpmdevtools
Version:        9.6
Release:        %{anolis_release}%{?dist}
Summary:        RPM Development Tools

# rpmdev-setuptree is GPLv2, everything else GPLv2+
License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz

BuildArch:      noarch
# help2man, pod2man, *python for creating man pages
BuildRequires:  make
BuildRequires:  help2man
BuildRequires:  %{_bindir}/pod2man
BuildRequires:  perl-generators
# python dependencies for spectool
# spectool is executed for creating man page
BuildRequires:  python3-devel
BuildRequires:  python3dist(progressbar2)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(rpm)
# emacs-common >= 1:22.3-3 for macros.emacs
BuildRequires:  emacs-common >= 1:22.3
Requires:       curl
Requires:       diffutils
Requires:       fakeroot
Requires:       file
Requires:       findutils
Requires:       gawk
Requires:       grep
Requires:       rpm-build >= 4.4.2.3
Requires:       python3dist(argcomplete)
Requires:       python3dist(progressbar2)
Requires:       python3dist(requests)
Requires:       python3dist(rpm)
Requires:       sed
Requires:       emacs-filesystem

%description
This package contains scripts and (X)Emacs support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
rpmdev-spectool     Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
grep -lF "%{_bindir}/python " * \
| xargs sed -i -e "s|%{_bindir}/python |%{_bindir}/python3 |"


%build
%configure
%make_build


%install
%make_install

echo %%{_datadir}/bash-completion > %{name}.files
[ -d %{buildroot}%{_sysconfdir}/bash_completion.d ] && \
echo %%{_sysconfdir}/bash_completion.d > %{name}.files

for dir in %{_emacs_sitestartdir} ; do
  install -dm 755 %{buildroot}$dir
  ln -s %{_datadir}/rpmdevtools/rpmdev-init.el %{buildroot}$dir
  touch %{buildroot}$dir/rpmdev-init.elc
done

# For backwards compatibility
ln -sr %{buildroot}%{_bindir}/rpmdev-spectool %{buildroot}%{_bindir}/spectool
echo ".so man1/rpmdev-spectool.1" > %{buildroot}%{_mandir}/man1/spectool.1

%generate_compatibility_deps

%files -f %{name}.files
%license COPYING
%dir %{abidir}
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_datadir}/rpmdevtools/
%{_bindir}/*
%{abidir}/*-option.list
%{_emacs_sitestartdir}/rpmdev-init.el
%ghost %{_emacs_sitestartdir}/rpmdev-init.elc
%{_mandir}/man[18]/*.[18]*

%files doc
%doc NEWS

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 9.6-5
- Rebuild for remove inappropriate build dependencies.

* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 9.6-4
- Rebuild for remove inappropriate build dependencies.

* Tue Feb 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 9.6-3
- add doc and abi files

* Mon May 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 9.6-2
- remove dependency of rpmautospec

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 9.6-1
- init from upstream
